<img src="book/figures/logo/logo.png" width="180" align="Right" /></a>

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-31-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

# The Environmental Data Science book

A **living**, **open** and **community-driven** online resource to showcase and support the publication of data, research and open-source tools for collaborative, reproducible and transparent Environmental Data Science.

| Information | Links                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| :--- |:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Project** | [![Read the book](https://img.shields.io/badge/read-the%20book-blue.svg)](https://edsbook.org)                                                                                                                                                                                                                                                                                                                                                                   |
| **News** | [![Twitter Follow](https://img.shields.io/twitter/follow/eds_book?style=social)](https://twitter.com/eds_book) [![Mastodon Follow](https://img.shields.io/mastodon/follow/109479819113828937?domain=https%3A%2F%2Ffosstodon.org&style=social)](https://fosstodon.org/@EDSbook)                                                                                                                                                                                     |
| **Chat** | [![GitHub issues](https://img.shields.io/github/issues/alan-turing-institute/environmental-ds-book)](https://github.com/alan-turing-institute/environmental-ds-book/issues) [![GitHub pull requests](https://img.shields.io/github/issues-pr/alan-turing-institute/environmental-ds-book)](https://github.com/alan-turing-institute/environmental-ds-book/pulls)                                                                                                   |
| **Build** | [![CI](https://github.com/alan-turing-institute/environmental-ds-book/actions/workflows/build.yml/badge.svg)](https://github.com/alan-turing-institute/environmental-ds-book/actions/workflows/build.yml) [![Netlify Status](https://api.netlify.com/api/v1/badges/42296a4e-b896-4253-8910-f17cd137e842/deploy-status)](https://app.netlify.com/sites/the-environmental-ds-book/deploys)                                                                           |
| **Cite** | [![Cite this using DOI](https://zenodo.org/badge/374708612.svg)](https://zenodo.org/badge/latestdoi/374708612)                                                                                                                                                                                                                                                                                                                                           |

## Contributors

We welcome and recognize all contributions. You can see a list of current contributors in the [contributors tab](https://github.com/alan-turing-institute/environmental-ds-book/graphs/contributors).
<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/acocac"><img src="https://avatars.githubusercontent.com/u/13321552?v=4?s=100" width="100px;" alt="Alejandro ©"/><br /><sub><b>Alejandro ©</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=acocac" title="Documentation">📖</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Aacocac" title="Reviewed Pull Requests">👀</a> <a href="#maintenance-acocac" title="Maintenance">🚧</a> <a href="#projectManagement-acocac" title="Project Management">📆</a> <a href="#eventOrganizing-acocac" title="Event Organizing">📋</a> <a href="#question-acocac" title="Answering Questions">💬</a> <a href="#talk-acocac" title="Talks">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/aedebus"><img src="https://avatars.githubusercontent.com/u/92375762?v=4?s=100" width="100px;" alt="Amandine Debus"/><br /><sub><b>Amandine Debus</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Aaedebus" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://www.mn.uio.no/geo/english/people/adm/annefou/"><img src="https://avatars.githubusercontent.com/u/8168508?v=4?s=100" width="100px;" alt="Anne Fouilloux"/><br /><sub><b>Anne Fouilloux</b></sub></a><br /><a href="#ideas-annefou" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-annefou" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-annefou" title="Maintenance">🚧</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Aannefou" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://www.aleesteele.com"><img src="https://avatars.githubusercontent.com/u/18509789?v=4?s=100" width="100px;" alt="Anne Lee Steele"/><br /><sub><b>Anne Lee Steele</b></sub></a><br /><a href="#ideas-aleesteele" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://gitlab.com/dapivei"><img src="https://avatars.githubusercontent.com/u/30577740?v=4?s=100" width="100px;" alt="Daniela Pinto Veizaga"/><br /><sub><b>Daniela Pinto Veizaga</b></sub></a><br /><a href="#blog-dapivei" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=dapivei" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Delphine-L"><img src="https://avatars.githubusercontent.com/u/11195061?v=4?s=100" width="100px;" alt="Delphine Lariviere"/><br /><sub><b>Delphine Lariviere</b></sub></a><br /><a href="#ideas-Delphine-L" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/dorankhamis"><img src="https://avatars.githubusercontent.com/u/6764290?v=4?s=100" width="100px;" alt="Doran Khamis"/><br /><sub><b>Doran Khamis</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Adorankhamis" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="http://edchalstrey.com/"><img src="https://avatars.githubusercontent.com/u/5486164?v=4?s=100" width="100px;" alt="Ed Chalstrey"/><br /><sub><b>Ed Chalstrey</b></sub></a><br /><a href="#ideas-edwardchalstrey1" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/EstherPlomp"><img src="https://avatars.githubusercontent.com/u/46314469?v=4?s=100" width="100px;" alt="Esther Plomp"/><br /><sub><b>Esther Plomp</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3AEstherPlomp" title="Reviewed Pull Requests">👀</a> <a href="#ideas-EstherPlomp" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://landscapemodelling.net"><img src="https://avatars.githubusercontent.com/u/5046372?v=4?s=100" width="100px;" alt="James Millington"/><br /><sub><b>James Millington</b></sub></a><br /><a href="#content-jamesdamillington" title="Content">🖋</a> <a href="#blog-jamesdamillington" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=jamesdamillington" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jedpe"><img src="https://avatars.githubusercontent.com/u/17885931?v=4?s=100" width="100px;" alt="Jorge Eduardo Peña Velasco"/><br /><sub><b>Jorge Eduardo Peña Velasco</b></sub></a><br /><a href="#blog-jedpe" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=jedpe" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://whitakerlab.github.io"><img src="https://avatars.githubusercontent.com/u/3626306?v=4?s=100" width="100px;" alt="Kirstie Whitaker"/><br /><sub><b>Kirstie Whitaker</b></sub></a><br /><a href="#ideas-KirstieJane" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://malvikasharan.github.io/"><img src="https://avatars.githubusercontent.com/u/5370471?v=4?s=100" width="100px;" alt="Malvika Sharan"/><br /><sub><b>Malvika Sharan</b></sub></a><br /><a href="#ideas-malvikasharan" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/mja2106"><img src="https://avatars.githubusercontent.com/u/33626681?v=4?s=100" width="100px;" alt="Matt Allen"/><br /><sub><b>Matt Allen</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Amja2106" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/mattfry-ceh"><img src="https://avatars.githubusercontent.com/u/12858205?v=4?s=100" width="100px;" alt="Matt Fry"/><br /><sub><b>Matt Fry</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Amattfry-ceh" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/NHomer-Edi"><img src="https://avatars.githubusercontent.com/u/73164641?v=4?s=100" width="100px;" alt="NHomer-Edi"/><br /><sub><b>NHomer-Edi</b></sub></a><br /><a href="#content-NHomer-Edi" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/RachelFurner"><img src="https://avatars.githubusercontent.com/u/47982456?v=4?s=100" width="100px;" alt="RachelFurner"/><br /><sub><b>RachelFurner</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3ARachelFurner" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/raquelcarmo"><img src="https://avatars.githubusercontent.com/u/30031382?v=4?s=100" width="100px;" alt="Raquel Carmo"/><br /><sub><b>Raquel Carmo</b></sub></a><br /><a href="#blog-raquelcarmo" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=raquelcarmo" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://about.me/ricardobarroslourenco"><img src="https://avatars.githubusercontent.com/u/7102375?v=4?s=100" width="100px;" alt="Ricardo Barros Lourenço"/><br /><sub><b>Ricardo Barros Lourenço</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Aricardobarroslourenco" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/samueljackson92"><img src="https://avatars.githubusercontent.com/u/2487781?v=4?s=100" width="100px;" alt="Samuel Jackson"/><br /><sub><b>Samuel Jackson</b></sub></a><br /><a href="#blog-samueljackson92" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=samueljackson92" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://sgibson91.github.io/"><img src="https://avatars.githubusercontent.com/u/44771837?v=4?s=100" width="100px;" alt="Sarah Gibson"/><br /><sub><b>Sarah Gibson</b></sub></a><br /><a href="#ideas-sgibson91" title="Ideas, Planning, & Feedback">🤔</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://scotthosking.com"><img src="https://avatars.githubusercontent.com/u/10783052?v=4?s=100" width="100px;" alt="Scott Hosking"/><br /><sub><b>Scott Hosking</b></sub></a><br /><a href="#ideas-scotthosking" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://www.bas.ac.uk/profile/tomand"><img src="https://avatars.githubusercontent.com/u/26459412?v=4?s=100" width="100px;" alt="Tom Andersson"/><br /><sub><b>Tom Andersson</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Atom-andersson" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ViktorDomazetoski"><img src="https://avatars.githubusercontent.com/u/101590116?v=4?s=100" width="100px;" alt="Viktor Domazetoski"/><br /><sub><b>Viktor Domazetoski</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/issues?q=author%3AViktorDomazetoski" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/garimamalhotra"><img src="https://avatars.githubusercontent.com/u/7003802?v=4?s=100" width="100px;" alt="garimamalhotra"/><br /><sub><b>garimamalhotra</b></sub></a><br /><a href="#blog-garimamalhotra" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=garimamalhotra" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jmifdal"><img src="https://avatars.githubusercontent.com/u/15648611?v=4?s=100" width="100px;" alt="jmifdal"/><br /><sub><b>jmifdal</b></sub></a><br /><a href="#blog-jmifdal" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=jmifdal" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/nbarlowATI"><img src="https://avatars.githubusercontent.com/u/33832774?v=4?s=100" width="100px;" alt="nbarlowATI"/><br /><sub><b>nbarlowATI</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3AnbarlowATI" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/oscarbau"><img src="https://avatars.githubusercontent.com/u/41731874?v=4?s=100" width="100px;" alt="oscarbau"/><br /><sub><b>oscarbau</b></sub></a><br /><a href="https://github.com/alan-turing-institute/environmental-ds-book/pulls?q=is%3Apr+reviewed-by%3Aoscarbau" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/shmh40"><img src="https://avatars.githubusercontent.com/u/56727418?v=4?s=100" width="100px;" alt="shmh40"/><br /><sub><b>shmh40</b></sub></a><br /><a href="#blog-shmh40" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=shmh40" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/svadams"><img src="https://avatars.githubusercontent.com/u/8512966?v=4?s=100" width="100px;" alt="svadams"/><br /><sub><b>svadams</b></sub></a><br /><a href="#blog-svadams" title="Blogposts">📝</a> <a href="https://github.com/alan-turing-institute/environmental-ds-book/commits?author=svadams" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/timo0thy"><img src="https://avatars.githubusercontent.com/u/51698422?v=4?s=100" width="100px;" alt="timo0thy"/><br /><sub><b>timo0thy</b></sub></a><br /><a href="#content-timo0thy" title="Content">🖋</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

## Acknowledgment 

This work was supported by Wave 1 of The UKRI Strategic Priorities Fund under the EPSRC Grant EP/W006022/1, particularly the Environment & Sustainability theme within that grant & The Alan Turing Institute.

The project also thanks the [OLS-4 training programme](https://openlifesci.org/ols-4/projects-participants/) team, cohort and in special, Delphine Lariviere [Delphine-L](https://github.com/Delphine-L) (mentor) for all their valuable knowledge, discussions and feedback toward a common goal **Open Science for All**. 

## Credits

This project is created using the excellent open source [Jupyter Book project](https://jupyterbook.org/) and the [executablebooks/cookiecutter-jupyter-book template](https://github.com/executablebooks/cookiecutter-jupyter-book). 
The individual notebooks repositories are hosted at the [eds-book-gallery](https://github.com/eds-book-gallery) organisation. 
The **How to run** section in the `README` of each notebook repository is adapted from the [Project Pythia Cookbook](https://cookbooks.projectpythia.org/) project. 
The workflow actions to generate the rendered version of notebooks were adapted from [2i2c’s hub-user-image-template](https://github.com/2i2c-org/hub-user-image-template) released under BSD-3-Clause license.    

We also acknowledge the template of `README`, `LICENSE` and `PULL_REQUEST_TEMPLATE` provided by [the Turing Way project](https://github.com/alan-turing-institute/the-turing-way). 
Other templates adapted include the review checklist/criteria templates provided by [Turing Data Stories](https://github.com/alan-turing-institute/TuringDataStories/blob/master/.github/ISSUE_TEMPLATE/review_template.md) and [SciPy Proceedings](https://github.com/scipy-conference/scipy_proceedings/blob/632099a7e62d192a5d66156dc70547fd9f35cb81/review_criteria.md).