(cm-about)=

# Our Community

Inspired by [_The Turing Way_ community coworking calls](https://the-turing-way.netlify.app/community-handbook/coworking.html), the EDS book community had some virtual meetings between 2021 and 2022 with the following two group-oriented formats:
* Community (6 in total): focused on onboarding new members, support and celebrate members achievements or contributions to open environmental data science.
  * Collaborations cafes (5 in total): for shared experience, connection, support and collaboration among the distributed _EDS book_ community (see shared notes [here](https://hackmd.io/@eds-book/collaboration-cafe)).
  * Show & tell (1 in total): for shared celebrations and feedback of what EDS book community has accomplished in research and/or software developments (see shared notes [here](https://hackmd.io/@eds-book/show-tell)).
* Working groups (12 in total): focused on specific areas .
  * Publishing (5 in total): for shared work with project interns, collaborators and members interested in submitting or suggesting features to our publishing workflow of EDS book notebooks (see shared notes [here](https://hackmd.io/@eds-book/publishing-wg-notes)). 
  * Infrastructure Maintainers (7 in total): for shared discussions in bugs, enhancement and other infrastructure-related topics (see shared notes [here](https://hackmd.io/@eds-book/infrastructure-wg-notes)).

While the above virtual spaces were fruitful and productive with lots of fun interacting with each other, we are not longer supporting some of them. 
Please find below the proposed community and team meetings (from April 2023) to discuss important topics and to invite broader participation from others.

## Meeting structure
- Collaboration cafes: we will continue our community shared-out of recent progress, achievements or events at _The Turing Way_ [Collaboration Cafes](https://the-turing-way.netlify.app/community-handbook/coworking/coworking-collabcafe.html). At least one of core EDS book members (as described in the [Ways of Working document](https://github.com/alan-turing-institute/environmental-ds-book/blob/master/ways_of_working.md)) will be attending the collaboration cafe to onboard or discuss relevant topics within _EDS book_ and _The Turing Way_ communities. Members of both communities are also welcome to join to [#environmental-sustainability](https://theturingway.slack.com/archives/C04RCMAEPUZ)) in _The Turing Way_ Slack, a dedicated channel for discussing broadly relevant topics aligned to Open Research in Environment & Sustainability.  
- Co-working sessions: we are merging separate working groups meetings into co-working sessions. According to the size of the call, we will create breakout rooms (to allow multiple small groups and discussions).

## Meeting dates and calendar
- Collaboration cafes: held fortnightly on the *first and third Wednesdays* of each month for 2 hours (see _The Turing Way_ [Community Calendar](https://calendar.google.com/calendar?cid=dGhldHVyaW5nd2F5QGdtYWlsLmNvbQ)).
- Co-working sessions: held fortnightly on the *second Friday* of each month for 1 hour (see _EDS book_ [Community Calendar](https://calendar.google.com/calendar/u/1?cid=ZW52aXJvbm1lbnRhbC5kcy5ib29rQGdtYWlsLmNvbQ)).

## Async community support channels
If you're looking for asynchronous support or chat with the EDS book community, there are a lot of options:

* Start a discussion on [EDS book repository](https://github.com/alan-turing-institute/environmental-ds-book/discussions).
* Chat with EDS book members; Join [our Gitter channel](https://matrix.to/#/#eds-book:gitter.im).
* Open an [issue to report bugs or request features](https://github.com/alan-turing-institute/environmental-ds-book/issues/new/choose).

# Open Research Calendar
Additional to our community meetings and async communication channels, we encourage you to subscribe to the [Open Research Calendar (ORC)](https://openresearchcalendar.org/).

ORC collects exciting events related to Open Research through a [Google Calendar](https://openresearchcalendar.org/calendar/) and [twitter bot](https://twitter.com/OpenResearchCal).

The calendar's creators [Alexandra Lautarescu](https://twitter.com/AleLautarescu), [Bradley Kennedy](https://twitter.com/bradpsych), [Cassandra Gould van Praag](https://twitter.com/cassgvp) and [Esther Plomp](https://twitter.com/PhDToothFAIRy) built this fantastic tool at the ["Advanced Methods in Reproducible Science"](https://www.bristol.ac.uk/psychology/research/ukrn/ukrnevents/repro2020/) workshop (better known as [#Repro2020](https://twitter.com/search?q=%23repro2020)) in January 2020 based on an idea initially generated by attendees of [#Repro2019](https://twitter.com/search?q=%23repro2019).
Find out more about their work at [https://openresearchcalendar.github.io/Open-Research-Calendar](https://openresearchcalendar.github.io/Open-Research-Calendar/).

Anyone can add events to the calendar at [https://openresearchcalendar.org/add-event/](https://openresearchcalendar.org/add-event/).

### Attribution 
Some material in this section have been adapted from [The Turing Way](https://github.com/alan-turing-institute/the-turing-way) released under a CC-BY 4.0 licence.