(nb-about-aimsscope)=

# Aims and Scope
We consider submissions from all areas of environmental science. This includes (but it is not restricted to):
* introducing relevant environmental datasets irrespective of their modality (image, labels, points, shapes, surface text).
* describing the outputs of a machine learning/computer vision model suited to our understanding of Planet Earth.
* showcasing an open-source software suited to Environmental Data Science.
* pre- or post-processing routines relevant for Environmental Science. 

Submissions could be at any stage from notebook idea to a working prototype from an existing GitHub repository. 
The notebook should address scientific and/or technical aspects that EDS book audience could adopt, reuse, and/or extend for their purposes.

The optimal notebook has between 100 and 500 for physical lines of code in `Code Cells`, and 500 to 5000 comments in `Markdown Cells`.
We have determined these ranges from the pool of published notebooks (by March 2023) using [cloc](https://github.com/AlDanial/cloc), a handy open-source tool to count blank lines, comment lines, and physical lines of source code in many programming languages.

Notebook submissions to EDS book must:

* Be fully open, under the Open Definition. This means that any text content or graphical objects should be under a Creative Commons license (ideally CC-BY) and code components should be under an OSI-approved MIT license. 
* Documentation of computational cells should be complete for self-learning or adoption by EDS book users. 
* Notebook submissions should make a clear contribution to Environmental Data Science using available open-source software. 
* Authors wishing to make a pre-submission enquiry should open an issue on the EDS Book repository.

# Themes
EDS notebooks are categorized under four proposed topics or themes:

* **Exploration**: highlights a particular environmental sensor with visualization and interpretation of the corresponding layers of information.
* **Preprocessing**: refers to all procedures to clean and prepare environmental data for analysis. The notebook should highlight differences between the raw and preprocessed data.
* **Modelling**: comprises models to analyse a given environmental system. 
* **Post-processing**: refers to post-process routines to fine tune and/or adjust modelling outputs.

We cover further details of submission and reviewing processes in the [guidelines section](pb-guidelines).