(pb-guidelines-editors)=

# Guide for Editors
Welcome to the guide for notebooks editors of the EDS book! 

Before you begin this process, please be sure to [understand how the publication process works](pb-guidelines).

We have a [code of conduct](https://raw.githubusercontent.com/alan-turing-institute/environmental-ds-book/master/CODE_OF_CONDUCT.md) which is mandatory for everyone involved in the review process of our notebooks.

Below you will find the main steps we suggest to follow as an editor of a notebook to EDS book.

## Scope and Aims
Thank you for considering managing the review workflow of a notebook submission to EDS book.
Our review process aims to be open, collaborative, transparent and inclusive. 
We therefore welcome editors from a diversity of background and with varying levels of programming/domain expertise.

## Pre-review
Once a notebook idea comes in, it will be validated by Editors-in-Chief (EiC). 
From there, it moves to a PRE-REVIEW issue, where EIC will assign an editor (or a volunteering editor self-assigns).

```{important}
If you receive an invite as the editor by EiC, please response within **1 week** your availability.
```

### Finding Reviewers
The editor's job is to identify reviewers (or validate authors' suggestions) who have sufficient expertise in the field of software and/in the domain of the submission. 
EDS book notebooks have to have a minimum of two reviewers per submission.
In some cases, the editor also might want to formally add themself as one of the reviewers. 
If the editor feels particularly unsure of the submission, a third reviewer can be recruited. 

If you wish, you can use the email template below to invite reviewers.

```{include} ../../templates/editor/editor-review-invitation.md
```

Once reviewers have been found, the editor will update the heading at the top of the issue with [REVIEWER1 GITHUB HANDLE], [REVIEWER2 GITHUB HANDLE] after **Reviewer:** section.

## Review
EiC will open a REVIEW issue containing some instructions with the review checklist, one per reviewer.
Reviewers should check off items of the checklist one-by-one, until done. 
In the meantime, reviewers can engage the authors freely in a conversation aimed at improving the notebook.
The editor lurks on this conversation and comes in if needed for questions (or CoC issues).
Comments in the REVIEW issue should be kept general with more lengthy suggestions or requests posted directly in the PR opened by EiC in the notebook repository. 

When reviewers are satisfied with the improvements, the editor asks to confirm their recommendation to accept the submission.
Then the editor pings EiC to inform the notebook is ready to the post-print stage.

## Expectations on EDS book editors
### Responding to editorial assignments
We ask that editors respond their availability to edit a new submission in a timely fashion (within **1 week**).

### Continued attention to assigned submissions
Editors are responsible that submissions progress smoothly through the editorial process. 

In general aim for **2 weeks** for review, **2 weeks** for subsequent changes, and **1 week** for reviewer approval of changes.

If a review has not been submitted after **2 weeks**, ping the reviewer(s) within the REVIEW issue to ensure they are aware of the **2 week** deadline.

Sometimes reviews go stale, either because reviewers fail to complete their review or an author has been slow to respond to a reviewers' feedback. 

As the editor, we need you to ping the author/or reviewer(s) to ensure they are aware of the **2 week** deadline unless there's a clear statement in the REVIEW issue that says an action is coming at a slightly later time.