(templates-reviewers-review-checklist)=

:::{note}
The checklist template follows the suggested review criteria for [SciPy Proceedings](https://github.com/scipy-conference/scipy_proceedings/blob/632099a7e62d192a5d66156dc70547fd9f35cb81/review_criteria.md) and 
[Turing Data Stories](https://github.com/alan-turing-institute/TuringDataStories/blob/3675d78f5a6641500392b16b987fc22756a1fa1d/.github/ISSUE_TEMPLATE/review_template.md)
:::

```markdown
*Please check off boxes as applicable, and elaborate in comments below. 
Your review is not limited to these topics, as described in the reviewer guide*

### Conflict of interest
- [ ] As the reviewer I confirm that there are no conflicts of interest for me to review this work (If you are unsure whether you are in conflict, please speak to your editor _before_ starting your review).

### Code of conduct an peer-review principles
- [ ] I confirm that I read and will adhere to the Environmental Data Science [code of conduct](https://github.com/alan-turing-institute/environmental-ds-book/blob/master/CODE_OF_CONDUCT.md).
- [ ] I confirm that I read and will adhere to [Open Science Peer Review Oath](https://doi.org/10.12688/f1000research.5686.2) 

### General checks
- [ ] **Notebook:** Is the notebook file part of the PR?
- [ ] **Contribution and authorship:** Does the author list seem appropriate and complete (full name, affiliation, and GitHub/ORCID handle)?
- [ ] **Scope and eligibility:** Does the submission contain an original and complete analysis according to the [theme](pb-about-aimsscope) selected?

### Reproducibility
- [ ] Does the notebook run in a local environment?
- [ ] Does the notebook build and run in binder?
- [ ] Are all data sources openly accessible and properly cited (e.g. with citation to a persistent DOI) in the heading section?

### Pedagogy
- [ ] Are the notebook purpose and highlights clear?
- [ ] Does the notebook demonstrate some specific data analysis or visualisation techniques?
- [ ] Is the notebook well documented, using both markdown cells and comments in code cells?
- [ ] Does the conclusion section provide clear and concise final say on the tools, analysis and/or datasets used?
- [ ] Is the notebook narrative well written (it does not require editing for structure, language, or writing quality)?

### Ethical
- [ ] Is any linkage of datasets in the notebook unlikely to lead to an increased risk of the personal identification of individuals?
- [ ] Is the notebook truthful and clear about any limitations of the analysis (and potential biases in data and/or tools)?
- [ ] Is the notebook unlikely to lead to negative social outcomes, such as (but not limited to) increasing discrimination or injustice?

### Other Requirements
- [ ] All mentioned software should be formally and consistently cited wherever possible.
- [ ] Acronyms should be spelled out upon first mention.
- [ ] Licence conditions on images and figures must be respected (Creative Commons, etc.).

### Final approval (post-review)

- [ ] **Authors has responded to my review and made changes to my satisfaction. I recommend approving the notebook for publication.**
```