# Welcome 

_Environmental Data Science book or EDS book_ is a **living**, **open** and **community-driven** online resource to showcase and support the publication of data, research and open-source tools for collaborative, reproducible and transparent Environmental Data Science.

```{figure} figures/welcome.jpg
---
name: welcome-image
alt: Diverse group of researchers analysing multiple enviromental systems and communicating results through a book with a happy face accesed by readers/users who can start new ideas.
---
Illustration by Scriberia as part of _The Turing Way_ book dash in November 2021. Zenodo. [http://doi.org/10.5281/zenodo.5706310](http://doi.org/10.5281/zenodo.5706310)
```

_EDS book_ is:

* a digital resource
* a community
* a global collaboration

We target to make sense of:

* environmental systems
* environmental data and sensors
* innovative research in Environmental Data Science 
* open-source tools for Environmental Data Science

## Gallery

We have a *gallery* with a diversity of EDS book notebooks, all them following FAIR principles for research software (FAIR4RS){cite}`Barker2022-FAIR4RS`. 
Visit our {ref}`Gallery <nb-gallery>` to access and navigate our community-led published notebooks.

:::::{container}
::::{grid} 1 3 3 3
:gutter: 2

:::{grid-item-card} Land Cover Data <br> (Impact Observatory)
:margin: 3 0 0 0
:link: ../notebooks/gallery/b128b282-dee7-44a7-bc21-f1fd21452a83/notebook.html
:link-type: url
:text-align: center
:shadow: md

{bdg-primary}`General`
{bdg-secondary}`Exploration`
<br>
{bdg-warning}`Standard`
{bdg-info}`Python`
^^^

<img src="https://user-images.githubusercontent.com/13321552/222927496-511cc8b4-5665-4229-8900-2774f76c5231.png?raw=True"/>

+++
Millington (2022)

<p align="center">
    <a href="https://github.com/eds-book-gallery/b128b282-dee7-44a7-bc21-f1fd21452a83/blob/main/LICENSE">
        <img alt="license" src="https://img.shields.io/badge/license-MIT-yellow.svg">
    </a>
    <a href="https://notebooks.gesis.org/binder/v2/gh/eds-book-gallery/b128b282-dee7-44a7-bc21-f1fd21452a83/main?labpath=notebook.ipynb">
        <img alt="binder" src="https://mybinder.org/badge_logo.svg">
    </a>
    <a href="https://github.com/eds-book-gallery/b128b282-dee7-44a7-bc21-f1fd21452a83/actions/workflows/render.yaml">
        <img alt="render" src="https://github.com/eds-book-gallery/b128b282-dee7-44a7-bc21-f1fd21452a83/actions/workflows/render.yaml/badge.svg">
    </a>
    <a href="https://doi.org/10.24424/7cde-g605">
        <img alt="doi" src="https://zenodo.org/badge/DOI/10.24424/7cde-g605.svg">
    </a>
    <br/>
</p>
:::

:::{grid-item-card} Sea ice forecasting <br> (IceNet)
:margin: 3 0 0 0
:link: ../notebooks/gallery/ac327c3a-5264-40a2-8c6e-1e8d7c4b37ef/notebook.html
:link-type: url
:text-align: center
:shadow: md

{bdg-primary}`Polar`
{bdg-secondary}`Modelling`
<br>
{bdg-warning}`Standard`
{bdg-info}`Python`
^^^

<img src="https://user-images.githubusercontent.com/13321552/222992432-ce985964-a191-481a-b830-1438c77c8461.png?raw=True"/>

+++
Coca-Castro (2022)

<p align="center">
    <a href="https://github.com/eds-book-gallery/ac327c3a-5264-40a2-8c6e-1e8d7c4b37ef/blob/main/LICENSE">
        <img alt="license" src="https://img.shields.io/badge/license-MIT-yellow.svg">
    </a>
    <a href="https://notebooks.gesis.org/binder/v2/gh/eds-book-gallery/ac327c3a-5264-40a2-8c6e-1e8d7c4b37ef/main?labpath=notebook.ipynb">
        <img alt="binder" src="https://mybinder.org/badge_logo.svg">
    </a>
    <a href="https://github.com/eds-book-gallery/ac327c3a-5264-40a2-8c6e-1e8d7c4b37ef/actions/workflows/render.yaml">
        <img alt="render" src="https://github.com/eds-book-gallery/ac327c3a-5264-40a2-8c6e-1e8d7c4b37ef/actions/workflows/render.yaml/badge.svg">
    </a>
    <a href="https://doi.org/10.24424/m8ew-pg51">
        <img alt="doi" src="https://zenodo.org/badge/DOI/10.24424/m8ew-pg51.svg">
    </a>
    <br/>
</p>
:::

:::{grid-item-card} Detecting floating objects <br> (ESA Phi-Lab)
:margin: 3 0 0 0
:link: ../notebooks/gallery/b34facfa-cea8-48f5-89f6-f11ce00812a9/notebook.html
:link-type: url
:text-align: center
:shadow: md

{bdg-primary}`Ocean`
{bdg-secondary}`Modelling`
<br>
{bdg-warning}`Standard`
{bdg-info}`Python`
^^^

<img src="https://user-images.githubusercontent.com/13321552/222989704-98abb3ad-0074-47c1-b826-8ccc8c69af5e.png?raw=True"/>

+++
Mifdal *et al.* (2022)

<p align="center">
    <a href="https://github.com/eds-book-gallery/b34facfa-cea8-48f5-89f6-f11ce00812a9/blob/main/LICENSE">
        <img alt="license" src="https://img.shields.io/badge/license-MIT-yellow.svg">
    </a>
    <a href="https://notebooks.gesis.org/binder/v2/gh/eds-book-gallery/b34facfa-cea8-48f5-89f6-f11ce00812a9/main?labpath=notebook.ipynb">
        <img alt="binder" src="https://mybinder.org/badge_logo.svg">
    </a>
    <a href="https://github.com/eds-book-gallery/b34facfa-cea8-48f5-89f6-f11ce00812a9/actions/workflows/render.yaml">
        <img alt="render" src="https://github.com/eds-book-gallery/b34facfa-cea8-48f5-89f6-f11ce00812a9/actions/workflows/render.yaml/badge.svg">
    </a>
    <a href="https://doi.org/10.24424/pbvr-gd04">
        <img alt="doi" src="https://zenodo.org/badge/DOI/10.24424/pbvr-gd04.svg">
    </a>
    <br/>
</p>
:::

::::
:::::

The resource and executable notebooks are free under a [CC-BY licence and OSI-approved MIT license, respectively](https://github.com/alan-turing-institute/environmental-ds-book/blob/master/LICENSE.md).