# Project Members

This document provides details about the project members and contributors working (or previously worked) on _EDS book_ in a paid capacity, organisational agreement, in-kind contributions or grant proposal-based collaboration.
It further outlines expectations and responsibilities with regard to working on the project.

## Current Project Members

| Name                                                                    | Affiliation                                                                    | Role                 | Time period allocated to the project | Previous roles                                           |
|-------------------------------------------------------------------------|--------------------------------------------------------------------------------|----------------------|--------------------------------------|----------------------------------------------------------|
| Alejandro Coca-Castro <br>([@acocac](https://github.com/acocac))        | Research Fellow, The Alan Turing Institute                                     | PI                   | Apr 2023 - Present                   | Postdoctoral Research Associate, May 2021 - March 2023   |
| Scott Hosking <br>([@scotthosking](https://github.com/scotthosking))    | Senior Researcher, British Antarctic Survey & The Alan Turing Institute        | Co-PI                | May 2021 - Present                   | -                                                        |
| Kirstie Whitaker <br>([@KirstieJane](https://github.com/KirstieJane))   | Programme Director for Tools, Practices and Systems, The Alan Turing Institute | in-kind contribution | May 2021 - Present                   | -                                                        |
| Malvika Sharan <br>([@malvikasharan](https://github.com/malvikasharan)) | Senior Researcher, The Alan Turing Institute                                   | in-kind contribution | Sep 2021 - Present                   | -                                                        |
| Anne Fouilloux <br>([@annefou](https://github.com/annefou))             | Senior Research Engineer, Simula Research Laboratory                           | in-kind contribution | Jul 2022 - Present                   | -                                                        |

## Previous Project Members

The following people are no longer volunteering on the project (although they remain very valuable members of the community!)
You can request contact information through the project members above, or tag them in the GitHub issues and Pull Requests so others can answer if the folks you're looking for are not around.

| Name                                                                  | Role & Affiliation                       | Full-Time Equivalent (or %) on the project | Time period allocated to the project |
|-----------------------------------------------------------------------|------------------------------------------|--------------------------------------------|--------------------------------------|
| Nick Homer <br>([@NHomer-Edi](https://github.com/NHomer-Edi))         | PhD Student, University of Edinburgh     | in-kind Turing PhD Enrichment Collaboration | March 2022 - Sept 2022               |
| Timothy Lam <br>([@timo0thy](https://github.com/timo0thy))         | PhD Student, University of Exeter        | in-kind Turing PhD Enrichment Collaboration | March 2022 - Sept 2022               |
| Delphine Lariviere <br>([@Delphine-L](https://github.com/Delphine-L)) | Research Assistant Professor, Penn State University      | in-kind OLS-4 Mentor                       | Sep 2021 - Jan 2022                  |

## Commitments

All EDS book project members commit to
- making the implicit explicit by documenting their work
- abiding by the Code of Conduct in all community platforms and spaces where they represent _EDS book_
- following the contribution guideline and keeping it up to date
- recording any new updates, exceptions or useful knowledge in project management and core documents needed to facilitate collaboration
- dedicating their time and expertise in fixing open issues either directly via GitHub or providing mentorship and support to community members and project contributors
- feedback on issues in open source software used throughout _EDS book_ by opening an issue the _EDS book_ GitHub repo or other open source projects where this issue can be fixed
- documenting and sharing any conversation from closed spaces (such as email or 1:1 meeting) in a GitHub issue that could be useful for the community or community members in enabling their work in _EDS book_

## Communication

You can reach out to all members by tagging them on GitHub issues or Pull Requests or on [Gitter](https://matrix.to/#/#eds-book:gitter.im).

You can reach the lead investigators of the project through their preferred way of communication:
You can mention Alejandro Coca-Castro (@acocac) and Scott Hosking (@scotthosking) on a Github issue or pull request, or tag in Gitter.
In addition, you can reach _EDS book_ by email (managed by Alejandro, PI): [environmental.ds.book@gmail.com](mailto:environmental.ds.book@gmail.com).
You can also contact Alejandro by emailing [acoca@turing.ac.uk](mailto:acoca@turing.ac.uk).

## Project management

The project members triage on open issues, review Pull Requests or address any questions raised on GitHub asynchronously.
As most members do not work full time on the _EDS book_, it might take some time until your query or contribution is addressed - especially if expert knowledge is needed. 
Don't be afraid to nudge if they've not replied after a few days! :sparkling_heart:

### Issues & Pull Requests

Project members will:
- monitor open issues and Pull Requests on the project's GitHub repository to identify if feedback, comment or connections can help address any concern or build on any suggested ideas/features.
- whenever possible, post about the issues and Pull Requests in public forums (Gitter, Twitter, Mastodon) to facilitate participation from new members in the community.
- review or assign a reviewer to open Pull Requests for review. This should be taken as an opportunity to connect contributors with specific interests, availability or technical skills that could be useful for the ongoing work.
- connect issues and Pull Requests where possible (for example, by mentioning 'Fixes #[issue number]' in the Pull Request description). By adding "closes #issue" or [something similar](https://help.github.com/articles/closing-issues-using-keywords/) in a comment on a pull request, merging the pull request will close the issue automatically.
- once completed, approve Pull Requests (for the contributors to merge them) and/or close issues immediately (if not linked to specific Pull Request) with a comment describing how it was addressed.
- when reviewing a pull request or commenting on issues, be specific, describe your ideas clearly, comment to request changes or make a pull request to the file that should be merged (please do not use the "request changes" option when reviewing Pull Requests).
- use your interactions on GitHub or other community spaces to provide support, mentorship and acknowledgement to our community of contributors.

## Attribution
Some material in this section and derived content has been adapted from The _Turing Way_ [Ways of Working](https://github.com/alan-turing-institute/the-turing-way/blob/main/ways_of_working.md) released under CC BY 4.0.